package tutorialJava.examenes.examen20241211;

import tutorialJava.Utils;

public class Producto {
	protected String codigo, titulo;
	protected float precio = Utils.obtenerNumeroAzar(5, 100);
	private static int CONTADOR = 1;
	
	public Producto() {
		super();
	}

	public Producto(String codigo, String titulo) {
		super();
		this.codigo = codigo + "_" + CONTADOR;
		this.titulo = titulo + "_" + CONTADOR;
		CONTADOR++;
	}

	public String getCodigo() {
		return codigo;
	}

	public void setCodigo(String codigo) {
		this.codigo = codigo;
	}

	public String getTitulo() {
		return titulo;
	}

	public void setTitulo(String titulo) {
		this.titulo = titulo;
	}

	public float getPrecio() {
		return precio;
	}

	public void setPrecio(float precio) {
		this.precio = precio;
	}

	@Override
	public String toString() {
		return "Producto [codigo=" + codigo + ", titulo=" + titulo + ", precio=" + precio + "]";
	}
	
	
}
